Account Direct Group Member
Represents a principal that is a direct member of a group, with its source of membership.
DirectGroupMember object
Represents a principal that is a direct member of a group, with its source of membership.
- principal_idint64Beta
Internal ID of the principal in <Databricks>.
- principal_typestringBeta
The type of the principal (user/service principal/group).
- membership_sourcestringBeta
The source of group membership (internal or from identity provider).
- display_namestringBeta
Display name of the principal.
- external_idstringBeta
The external ID of the principal in <Databricks>.
- group_idint64Beta
The internal ID of the group this member belongs to.
Get Beta
GET
Gets a provisioned direct member of a group.
API scopes: identity
Parameters
- account_idstringpath
Required. The account ID for which the group membership is being fetched.
- group_idint64path
Required. Internal ID of the group in <Databricks>.
- principal_idint64path
Required. Internal ID of the principal belonging to the group in <Databricks>.
Response
Returns the DirectGroupMember object.
List Beta
GET
Lists provisioned direct members of a group with their membership source (internal or from identity provider).
API scopes: identity
Parameters
- account_idstringpath
Required. The account ID for which the direct group members are being listed.
- group_idint64path
Required. Internal ID of the group in <Databricks> whose direct members are being listed.
- page_sizeint32query
The maximum number of members to return. The service may return fewer than this value. If not provided, defaults to 1000 (also the maximum allowed).
- page_tokenstringquery
A page token, received from a previous ListDirectGroupMembers call. Provide this to retrieve the subsequent page.
Response
Returns a list of DirectGroupMember objects.
Create Beta
POST
Creates a group membership (assigns a principal to a group).
API scopes: identity
Parameters
- account_idstringpath
Required. The account ID for which the group membership is being created.
- group_idint64path
Required. Internal ID of the group in <Databricks>.
Request body
- direct_group_memberobject
Required. The direct group member to be added to the group.
Show child attributesHide child attributes
- principal_idint64
Internal ID of the principal in <Databricks>.
- principal_typestring
The type of the principal (user/service principal/group).
- membership_sourcestring
The source of group membership (internal or from identity provider).
- display_namestring
Display name of the principal.
- external_idstring
The external ID of the principal in <Databricks>.
- group_idint64
The internal ID of the group this member belongs to.
Response
Returns the DirectGroupMember object.
Delete Beta
DELETE
Deletes a group membership (unassigns a principal from a group).
API scopes: identity
Parameters
- account_idstringpath
Required. The account ID for which the group membership is being deleted.
- group_idint64path
Required. Internal ID of the group in <Databricks>.
- principal_idint64path
Required. Internal ID of the principal to be unassigned from the group.